# Role : docker_gitea


## Services fournis

Installation de gitea ou forgejo sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_gitea_fqdn: git.libretic.fr
docker_gitea_image_version: 1.20.5
docker_gitea_data_dir: /data1
docker_gitea_service_id: gitea
docker_gitea_db_name: gitea
docker_gitea_db_user: giteadbuser
docker_gitea_db_password: mdp_de_giteadbuser
```

| Option                     | Valeur par défaut | Description                                                                               |
|----------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_gitea_fqdn          |                   | Le nom de domaine pour lequel le service gitea répond                                     |
| docker_gitea_image_version |                   | L'image à utiliser et sa version                                                          |
| docker_gitea_data_dir      |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_gitea_service_id    |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_gitea_ssh_port      | 222               | Le numero de port local pour l'accès à gitea par ssh                                      |
| docker_gitea_db_name       |                   | Nom de la base de données postgres pour gitea                                             |
| docker_gitea_db_user       |                   | Nom du user postgres propriétaire de la base de données                                   |
| docker_gitea_db_password   |                   | Mot du passe du user postgres                                                             |


Note :
* pour installer gitea, utiliser une image telle que "gitea/gitea:<version>"
* pour installer forgejo, utiliser une image telle que "codeberg.org/forgejo/forgejo:<version>"

## Poursuite de l'installation dans gitea / forgejo

Après le premier lancement :
- créer le compte administrateur

